Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.lock
Class QueuedPessimisticEJBLockNoADE

    java.lang.Object
      org.jboss.ejb.plugins.lock.BeanLockSupport
          org.jboss.ejb.plugins.lock.QueuedPessimisticEJBLock
              org.jboss.ejb.plugins.lock.QueuedPessimisticEJBLockNoADE

All Implemented Interfaces:
  BeanLock, BeanLockExt, org.jboss.util.deadlock.Resource

public class QueuedPessimisticEJBLockNoADE
extends QueuedPessimisticEJBLock

A subclass of QueuedPessimisticEJBLock that disables the deadlock detection of QueuedPessimisticEJBLock.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.ejb.plugins.lock.QueuedPessimisticEJBLock
`deadlockDetection, lockMonitor`

Fields inherited from class org.jboss.ejb.plugins.lock.BeanLockSupport
`container, id, refs, synched, synchedDepth, tx, txTimeout`

Constructor Summary
`QueuedPessimisticEJBLockNoADE()`

Methods inherited from class org.jboss.ejb.plugins.lock.QueuedPessimisticEJBLock
`doSchedule, endInvocation, endTransaction, getDeadlockDetection, getTxLock, isTxExpired, nextTransaction, removeRef, schedule, setContainer, setDeadlockDetection, toString, waitForTx, wontSynchronize`

Methods inherited from class org.jboss.ejb.plugins.lock.BeanLockSupport
`addRef, attemptSync, getId, getRefs, getResourceHolder, getTransaction, releaseSync, setId, setTimeout, setTransaction, sync`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueuedPessimisticEJBLockNoADE

    public QueuedPessimisticEJBLockNoADE()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.